Activity Logs
All operations require authentication.
List available log kindsProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a log kindProduction
Path parameters
Name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List subscription IDs for a clusterProduction
Query parameters
Filter on a specific kind (e.g., audit)
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Create a subscription from logs to a pre-existing LDP streamProduction
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Get subscription detailsProduction
Path parameters
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Delete a subscriptionProduction
Path parameters
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Generate a temporary URL to retrieve logsProduction
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}